org.apache.sysds.runtime.transform.encode

## Class ColumnEncoderDummycode

- java.lang.Object
- - org.apache.sysds.runtime.transform.encode.ColumnEncoder
  - - org.apache.sysds.runtime.transform.encode.ColumnEncoderDummycode

All Implemented Interfaces:
  Externalizable, Serializable, Comparable<ColumnEncoder>, Encoder

    public class ColumnEncoderDummycode
    extends ColumnEncoder

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.sysds.runtime.transform.encode.ColumnEncoder

`ColumnEncoder.EncoderType`

### Field Summary

Fields
`int` `_domainSize`

### Constructor Summary

Constructors
Constructor and Description
`ColumnEncoderDummycode()`
`ColumnEncoderDummycode(int colID)`
`ColumnEncoderDummycode(int colID, int domainSize)`

### Method Summary

All Methods Instance Methods Concrete Methods
`MatrixBlock` `apply(FrameBlock in, MatrixBlock out, int outputCol)` Apply the generated metadata to the FrameBlock and saved the result in out.
`MatrixBlock` `apply(FrameBlock in, MatrixBlock out, int outputCol, int rowStart, int blk)`
`MatrixBlock` `apply(MatrixBlock in, MatrixBlock out, int outputCol)`
`MatrixBlock` `apply(MatrixBlock in, MatrixBlock out, int outputCol, int rowStart, int blk)`
`void` `build(FrameBlock in)` Build the transform meta data for the given block input.
`boolean` `equals(Object o)`
`int` `getDomainSize()`
`FrameBlock` `getMetaData(FrameBlock meta)` Construct a frame block out of the transform meta data.
`List<Callable<Object>>` `getPartialBuildTasks(FrameBlock in, int blockSize)`
`int` `hashCode()`
`void` `initMetaData(FrameBlock meta)` Sets up the required meta data for a subsequent call to apply.
`void` `mergeAt(ColumnEncoder other)` Merges another encoder, of a compatible type, in after a certain position.
`void` `mergeBuildPartial(List<Future<Object>> futurePartials, int start, int end)`
`void` `readExternal(ObjectInput in)` Redirects the default java serialization via externalizable to our default hadoop writable serialization for efficient broadcast/rdd deserialization.
`void` `updateDomainSizes(List<ColumnEncoder> columnEncoders)`
`void` `updateIndexRanges(long[] beginDims, long[] endDims, int colOffset)` Update index-ranges to after encoding.
`void` `writeExternal(ObjectOutput out)` Redirects the default java serialization via externalizable to our default hadoop writable serialization for efficient broadcast/rdd serialization.

### Methods inherited from class org.apache.sysds.runtime.transform.encode.ColumnEncoder

`buildPartial, compareTo, getColID, getColMapping, isApplicable, isApplicable, prepareBuildPartial, setColID, shiftCol`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### _domainSize

    public int _domainSize

### Constructor Detail

#### ColumnEncoderDummycode

    public ColumnEncoderDummycode()

#### ColumnEncoderDummycode

    public ColumnEncoderDummycode(int colID)

#### ColumnEncoderDummycode

    public ColumnEncoderDummycode(int colID,
                                  int domainSize)

### Method Detail

#### build

    public void build(FrameBlock in)

Description copied from interface: `Encoder`
Build the transform meta data for the given block input. This call modifies and keeps meta data as encoder state.

Parameters:
  `in` - input frame block

#### getPartialBuildTasks

    public List<Callable<Object>> getPartialBuildTasks(FrameBlock in,
                                                       int blockSize)

Specified by:
  `getPartialBuildTasks` in class `ColumnEncoder`

#### mergeBuildPartial

    public void mergeBuildPartial(List<Future<Object>> futurePartials,
                                  int start,
                                  int end)

Specified by:
  `mergeBuildPartial` in class `ColumnEncoder`

#### apply

    public MatrixBlock apply(FrameBlock in,
                             MatrixBlock out,
                             int outputCol)

Description copied from interface: `Encoder`
Apply the generated metadata to the FrameBlock and saved the result in out.

Parameters:
  `in` - input frame block
  `out` - output matrix block
  `outputCol` - is a offset in the output matrix. column in FrameBlock + outputCol = column in out
Returns:
  output matrix block

#### apply

    public MatrixBlock apply(MatrixBlock in,
                             MatrixBlock out,
                             int outputCol)

Specified by:
  `apply` in class `ColumnEncoder`

#### apply

    public MatrixBlock apply(FrameBlock in,
                             MatrixBlock out,
                             int outputCol,
                             int rowStart,
                             int blk)

Specified by:
  `apply` in class `ColumnEncoder`

#### apply

    public MatrixBlock apply(MatrixBlock in,
                             MatrixBlock out,
                             int outputCol,
                             int rowStart,
                             int blk)

Specified by:
  `apply` in class `ColumnEncoder`

#### mergeAt

    public void mergeAt(ColumnEncoder other)

Description copied from class: `ColumnEncoder`
Merges another encoder, of a compatible type, in after a certain position. Resizes as necessary. `ColumnEncoders` are compatible with themselves and `EncoderComposite` is compatible with every other `ColumnEncoders`. `MultiColumnEncoders` are compatible with every encoder

Overrides:
  `mergeAt` in class `ColumnEncoder`
Parameters:
  `other` - the encoder that should be merged in

#### updateIndexRanges

    public void updateIndexRanges(long[] beginDims,
                                  long[] endDims,
                                  int colOffset)

Description copied from class: `ColumnEncoder`
Update index-ranges to after encoding. Note that only Dummycoding changes the ranges.

Specified by:
  `updateIndexRanges` in interface `Encoder`
Overrides:
  `updateIndexRanges` in class `ColumnEncoder`
Parameters:
  `beginDims` - begin dimensions of range
  `endDims` - end dimensions of range
  `colOffset` - is applied to begin and endDims

#### updateDomainSizes

    public void updateDomainSizes(List<ColumnEncoder> columnEncoders)

#### getMetaData

    public FrameBlock getMetaData(FrameBlock meta)

Description copied from interface: `Encoder`
Construct a frame block out of the transform meta data.

Parameters:
  `meta` - output frame block
Returns:
  output frame block?

#### initMetaData

    public void initMetaData(FrameBlock meta)

Description copied from interface: `Encoder`
Sets up the required meta data for a subsequent call to apply.

Parameters:
  `meta` - frame block

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Description copied from class: `ColumnEncoder`
Redirects the default java serialization via externalizable to our default hadoop writable serialization for efficient broadcast/rdd serialization.

Specified by:
  `writeExternal` in interface `Externalizable`
Overrides:
  `writeExternal` in class `ColumnEncoder`
Parameters:
  `out` - object output
Throws:
  `IOException` - if IOException occurs

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException

Description copied from class: `ColumnEncoder`
Redirects the default java serialization via externalizable to our default hadoop writable serialization for efficient broadcast/rdd deserialization.

Specified by:
  `readExternal` in interface `Externalizable`
Overrides:
  `readExternal` in class `ColumnEncoder`
Parameters:
  `in` - object input
Throws:
  `IOException` - if IOException occur

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### getDomainSize

    public int getDomainSize()